summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-09-11 08:15:24 +0200
committerMichał Górny <mgorny@gentoo.org>2021-09-11 08:53:06 +0200
commit72c4514bcf18ae33688f64dde59274c4fd2edccf (patch)
tree6c7a40e3e12d05acf4d871937e0c6ccc4198b3cf /dev-python
parentdev-python/botocore: Bump to 1.21.40 (diff)
downloadgentoo-72c4514bcf18ae33688f64dde59274c4fd2edccf.tar.gz
gentoo-72c4514bcf18ae33688f64dde59274c4fd2edccf.tar.bz2
gentoo-72c4514bcf18ae33688f64dde59274c4fd2edccf.zip
dev-python/boto3: Bump to 1.18.40
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.18.40.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index f0399450e51..e0e3753c5f2 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -6,4 +6,5 @@ DIST boto3-1.18.36.tar.gz 410432 BLAKE2B 08d73bb8d8f16040f62fa5fb5e40855e201cd3b
DIST boto3-1.18.37.tar.gz 411095 BLAKE2B fafa31a06c52b1f35290ab4e6af7eb6e0bf16704da57b959b61edb8e5621bc036b1723ab084653e1177cbef008f3b4728546b7dfe78d572f600eda681e8e3feb SHA512 8536652e95ba7affdf701f76ab4674f6fddcc1b123e3476dc272f582cde236dfd920459c6cd644465e638ea0d6abf982e2ef77320cf1e7a4f5f6ef8b01e36227
DIST boto3-1.18.38.tar.gz 411294 BLAKE2B d857299e4f622bedcdf106ad662e3ce9c937dfa6834f4fbd307925c8662876ea4fbd5553711f36c57d63eec76af93407a72ff8c796e1775e96380b120970102c SHA512 9e474efb5811bc83a2e53039a989b23594c03983b0fa3b75d3340a40403545b11d5f78bb83934471d4cf4660bffe31bc5966b188522dc08df28795611a12ba63
DIST boto3-1.18.39.tar.gz 411636 BLAKE2B 1ff636a4749965644ae55f2b4a9ea085dc130da1c72e26680300e7751a9e10dc0fc654ba101a5f22eda9223a30d0b3f274e40a635c2760abe0eca94a3d024389 SHA512 3de98749d2bb0bb5dd9aa8fa4bcfbac24ef5536ffe1e967b4ff0d0d709f7d929da6c817136aa315e8148fb72540054b9592eaba28a937dc3a8a092ea75e01ef9
+DIST boto3-1.18.40.tar.gz 412065 BLAKE2B c548c6a1f5cfac3d304384b56882943201c45f3515bcd3804b90656966ba5ada0bfd5130fef34d8ad1466aad8a45166a9e35706d4ea53e9eb4ca1fcfae7172f4 SHA512 95e0c6ea5a9741657d801b1feab1ac813b653becba442d83673168d029635928e031386c7147ce28a9407acda4b593fc32b0a4f6ff1761f4b8d903b585220cd5
DIST boto3-1.18.7.tar.gz 395640 BLAKE2B 6a9fa1dd55644806fe93271805f35fbe0c4cb65d1de08dded2d2f57fcefa96e32c4ebe7b60743c52c0898222bc06d33dbd03d304bbef327b88022450a7943e2c SHA512 20e7fedab7d061ab02f391e9baf36cb554e7f194f38d24d5a75f76715b2acf1b51b6adce5d8cf5a2a0d29df73566db00b8813a219d45a194d9a8eb93d0dab570
diff --git a/dev-python/boto3/boto3-1.18.40.ebuild b/dev-python/boto3/boto3-1.18.40.ebuild
new file mode 100644
index 00000000000..819e7369111
--- /dev/null
+++ b/dev-python/boto3/boto3-1.18.40.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ ||
+ die "test failed under ${EPYTHON}"
+}